ServerEvents.recipes(event => {
event.remove({id:'createdieselgenerators:crafting/huge_diesel_engine'})

event.recipes.create.mechanical_crafting('createdieselgenerators:huge_diesel_engine',[
'ABA',
'CDC',
'EFE'
],{
A:'create:andesite_alloy',
B:'minecraft:flint_and_steel',
C:'create:brass_sheet',
D:'create:steam_engine',
E:'create:fluid_pipe',
F:'createdieselgenerators:large_diesel_engine'
})
})